Package com.independentsoft.office.word.math

# Class MathParagraph

java.lang.Object
com.independentsoft.office.word.math.MathParagraph

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathContent`, `IMathElement`, `ICellContent`, `IRowContent`

public class MathParagraph extends Object implements IMathContent
The Class MathParagraph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MathParagraph()`
  Instantiates a new math paragraph.
  `MathParagraph​(InternalXMLStreamReader reader)`
  Instantiates a new math paragraph.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MathParagraph`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `Justification`
  `getJustification()`
  Gets the justification.
  `List<OfficeMath>`
  `getOfficeMaths()`
  Gets the office maths.
  `void`
  `setJustification​(Justification justification)`
  Sets the justification.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MathParagraph

    public MathParagraph()
    Instantiates a new math paragraph.

  - ### MathParagraph

    public MathParagraph​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new math paragraph.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public MathParagraph clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getOfficeMaths

    public List<OfficeMath> getOfficeMaths()
    Gets the office maths.
    Returns:
      the office maths

  - ### getJustification

    public Justification getJustification()
    Gets the justification.
    Returns:
      the justification

  - ### setJustification

    public void setJustification​(Justification justification)
    Sets the justification.
    Parameters:
      `justification` - the new justification